org.richfaces.renderkit.html

## Class ContextMenuRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.TemplateEncoderRendererBase
        - - org.richfaces.renderkit.html.ContextMenuRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

      public class ContextMenuRendererBase
      extends org.richfaces.renderkit.TemplateEncoderRendererBase

  Author:
    Maksim Kaszynski

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextMenuRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkAttachTimingValidity(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Perform validation of the contextMenu configuration.
    `protected org.xml.sax.ContentHandler` | `createContentHandler(java.io.Writer writer)`
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.Class` | `getComponentClass()`
    `protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()`
    `protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()`
    `void` | `renderChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.TemplateEncoderRendererBase

      `getRendersChildren, main, writeScriptBody, writeScriptBody`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeChildren, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextMenuRendererBase

          public ContextMenuRendererBase()

  - ### Method Detail

    - #### getScripts

          protected org.ajax4jsf.resource.InternetResource[] getScripts()

      Overrides:
        `getScripts` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

    - #### getStyles

          protected org.ajax4jsf.resource.InternetResource[] getStyles()

      Overrides:
        `getStyles` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### doEncodeBegin

          protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                throws java.io.IOException

      Overrides:
        `doEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### checkAttachTimingValidity

          protected void checkAttachTimingValidity(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component)

      Perform validation of the contextMenu configuration.
      Parameters:
        `component` - - menu component

    - #### renderChildren

          public void renderChildren(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `renderChildren` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `org.richfaces.renderkit.TemplateEncoderRendererBase`
      Throws:
        `java.io.IOException`

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### createContentHandler

          protected org.xml.sax.ContentHandler createContentHandler(java.io.Writer writer)

      Overrides:
        `createContentHandler` in class `org.richfaces.renderkit.TemplateEncoderRendererBase`

Copyright © 2014. All Rights Reserved.